OrganizationsResource
Manages organizations through the slim API.
- Stable unknown
- Release candidate since 0.1.0-rc.4
- Development since 0.1.0-dev.24+fa54770
public final class OrganizationsResourceManages organizations through the slim API. Get it from SlimResource.organizations().
Methods
retrieve
public JsonNode retrieve(String id, RequestOptions options) throws IOException, InterruptedExceptionGets one organization (GET /v1/slim/organization/{id}).
Parameters:
id: the organization IDoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
create
public JsonNode create(Object body, RequestOptions options) throws IOException, InterruptedExceptionCreates an organization (POST /v1/slim/organization).
Parameters:
body: the organization to createoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
update
public JsonNode update(
String id,
Object body,
RequestOptions options) throws IOException, InterruptedExceptionReplaces an organization (PUT /v1/slim/organization/{id}).
Parameters:
id: the organization IDbody: the full organizationoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
delete
public void delete(String id, RequestOptions options) throws IOException, InterruptedExceptionDeletes an organization (DELETE /v1/slim/organization/{id}).
Parameters:
id: the organization IDoptions: per-request options, such as the timeout
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
Last updated on